%define pname OpenSSL
%define name python-%{pname}
%define version 0.7
%define release %mkrel 1

Summary: Python interface to the OpenSSL library
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://telia.dl.sourceforge.net/sourceforge/pyopenssl/py%pname-%{version}.tar.lzma
License: LGPLv2.1
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://pyopenssl.sourceforge.net/
Requires: python >= 2.2
BuildRequires: python-devel openssl-devel
BuildRequires: tetex-latex tetex-dvipdfm
Obsoletes: pyOpenSSL
Provides: pyOpenSSL

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.
It includes

* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.
				
%prep
%__rm -rf %{buildroot}

%setup -q -n py%pname-%version

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --record=FILELIST

pushd doc
make dvi PAPER=letter
dvipdfm pyOpenSSL.dvi
popd

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc COPYING TODO README INSTALL ChangeLog examples/ doc/pyOpenSSL.pdf




%changelog
* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 0.7-1mdv2009.0
+ Revision: 272987
- Update to 0.7.
  Include manual.

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-6mdv2009.0
+ Revision: 225137
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-5mdv2008.1
+ Revision: 116966
- rebuild for new docdir policy (no version in docdir)
- quiet %%setup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.6-4mdv2007.0
+ Revision: 88147
- Import python-OpenSSL

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.6-4mdv2007.1
- update file list

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdk
- rebuilt against openssl-0.9.8a

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.6-2mdk
- Rebuild for new python

* Sat Nov 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- New release 0.6

* Sun Jun 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-3mdk
- Fix BuildRequires

* Wed Jun 02 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-2mdk
- Respect naming convention
- DIRM

* Wed Apr 21 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.1-1mdk
- First Mandrakelinux version

